CREATE TABLE Centro_Costos_Usuarios (
	Id_Centro_Costo CHAR(10) NOT NULL,
	Id_Usuario SMALLINT NOT NULL,
 CONSTRAINT PK_CENU_PorCenUsu PRIMARY KEY CLUSTERED (Id_Centro_Costo ASC,Id_Usuario ASC)
)

GO

ALTER TABLE Centro_Costos_Usuarios ADD  CONSTRAINT FK_CENU_Centro_Costos FOREIGN KEY(Id_Centro_Costo)
REFERENCES Centro_Costos (Id_Centro_Costo)
GO

CREATE INDEX IX_CENU_PorUsuCEn ON Centro_Costos_Usuarios (Id_Usuario,Id_Centro_Costo)
GO

ALTER TABLE Prod_Familias_Usuarios  WITH CHECK ADD  CONSTRAINT FK_CENU_Seg_User FOREIGN KEY(Id_Usuario)
REFERENCES Seg_User (No)
GO



